Summary: A GNU collection of diff utilities.
Name: diffutils
Version: 2.8.1
Release: 14tr
Group: Trustix Official
Source: ftp://ftp.gnu.org/gnu/diffutils/diffutils-%{version}.tar.gz
License: GPL
Prereq: htmlinfo
BuildRequires: texinfo
Buildroot: /var/tmp/%{name}-root

%description
Diffutils includes four utilities:  diff, cmp, diff3 and sdiff. Diff
compares two files and shows the differences, line by line.  The cmp
command shows the offset and line numbers where two files differ, or cmp
can show the characters that differ between the two files.  The diff3
command shows the differences between three files.  Diff3 can be used when
two people have made independent changes to a common original; diff3 can
produce a merged file that contains both persons' changes and warnings
about conflicts.  The sdiff command can be used to merge two files
interactively.

Install diffutils if you need to compare text files.

%prep
%setup -q

%build
%configure
make 
cd doc
makeinfo --html --no-split diff.texi

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

make DESTDIR=${RPM_BUILD_ROOT} install

mkdir -p $RPM_BUILD_ROOT/usr/share/html/diff
install -m 644 doc/diff.html $RPM_BUILD_ROOT/usr/share/html/diff/

rm -rf $RPM_BUILD_ROOT/usr/share/info

%post
/usr/sbin/htmlinfo_update.sh

%postun
/usr/sbin/htmlinfo_update.sh

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc NEWS README ChangeLog THANKS
%{_prefix}/bin/*
%{_prefix}/share/man/man*/*
%{_prefix}/share/html/diff
%exclude %{_datadir}/locale/

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Wed Mar 16 2005 Raghu <raghu at comodo dot com> 2.8.1-12tr
- Rebuilt

* Fri Mar  4 2005 Erlend Midttun <erlendbm at trustix dot org> 2.8.1-10tr
- Rebuilt.

* Wed Dec  3 2003 Erlend Midttun <erlendbm at trustix dot org> 2.8.1-7tr
- Big rebuild

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 2.8.1-6tr
- Added %defattr.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.8.1-5tr
- Big rebuild

* Fri Jun 13 2003 Erlend Midttun <erlendbm at trustix dot com> 2.8.1-4em
- Now own /usr/share/html/diff.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.8.1-3em
- Rebuilt against glibc 2.3.2.

* Thu Oct 24 2002 Christian H. Toldnes <christht at trustix dot com> 2.8.1-2ct
- replaced info stuff with htmlinfo

* Thu Jul 25 2002 Nico Erfurth <masta at trustix dot org> 2.8.1-1ne
- New upstream version
- cleaned specfile

* Tue Jul 23 2002 Daniel Meyer <eagle@cyberdelia.de> 2.7-20dm
- rebuild for Trustix Secure Linux 2.0

* Fri Jan 12 2001 Oystein Viggen <oysteivi at trustix dot com>
- Security fix for insecure tempfiles

* Mon Jan 24 2000 Tore Olsen <toreo at trustix dot com>
- moved man and info pages to /usr/share.

* Mon Apr 19 1999 Jeff Johnson <jbj@redhat.com>
- man pages not in %files.
- but avoid conflict for diff.1

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 14)

* Sun Mar 14 1999 Jeff Johnson <jbj@redhat.com>
- add man pages (#831).
- add %configure and Prefix.

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue Jul 14 1998 Bill Kawakami <billk@home.com>
- included the four man pages stolen from Slackware

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun May 03 1998 Cristian Gafton <gafton@redhat.com>
- fixed spec file to reference/use the $RPM_BUILD_ROOT always

* Wed Dec 31 1997 Otto Hammersmith <otto@redhat.com>
- fixed where it looks for 'pr' (/usr/bin, rather than /bin)

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added BuildRoot

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- uses install-info

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
